org.codehaus.plexus.component.repository

## Class ComponentProfile

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentProfile

    public class ComponentProfile
    extends Object

Version:
  $Id: ComponentProfile.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`ComponentProfile()`

### Method Summary

Methods
`ComponentComposer` `getComponentComposer()`
`ComponentFactory` `getComponentFactory()`
`ComponentManager` `getComponentManager()`
`LifecycleHandler` `getLifecycleHandler()`
`void` `setComponentComposer(ComponentComposer componentComposer)`
`void` `setComponentFactory(ComponentFactory componentFactory)`
`void` `setComponentManager(ComponentManager componentManager)`
`void` `setLifecycleHandler(LifecycleHandler lifecycleHandler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentProfile

    public ComponentProfile()

### Method Detail

#### getComponentFactory

    public ComponentFactory getComponentFactory()

#### setComponentFactory

    public void setComponentFactory(ComponentFactory componentFactory)

#### getLifecycleHandler

    public LifecycleHandler getLifecycleHandler()

#### setLifecycleHandler

    public void setLifecycleHandler(LifecycleHandler lifecycleHandler)

#### getComponentManager

    public ComponentManager getComponentManager()

#### setComponentManager

    public void setComponentManager(ComponentManager componentManager)

#### getComponentComposer

    public ComponentComposer getComponentComposer()

#### setComponentComposer

    public void setComponentComposer(ComponentComposer componentComposer)